CrossOver Support - Community Forums

Important Information These are community forums and not official technical support. If you need official support: Contact Us

CrossOver Linux
Discussion about CrossOver Linux

The following comments are owned by whoever posted them. We are not responsible for them in any way.

Back to Threads Reply to Thread

Installing Crossover on 64-bit Linux Mint Debian (LMDE)

I just had a heck of a time installing Crossover from the .deb package (ia32-crossover_11.3.0-1_amd64.deb) and thought I'd share the experience in case it's helpful to anyone. After much messing around with new software sources and the like, it turns out I was just over-thinking it, and my fresh install of Linux Mint LMDE needed a good 'ol "apt-get update". From the top (of my most recent attempt, without modifications to repos because therein lies madness):

I begin with a simple attempt to install:

$ sudo dpkg -i '/home/weaver/Desktop/ia32-crossover_11.3.0-1_amd64.deb'
[sudo] password for weaver: 
Selecting previously unselected package ia32-crossover.
(Reading database ... 168089 files and directories currently installed.)
Unpacking ia32-crossover (from .../ia32-crossover_11.3.0-1_amd64.deb) ...
dpkg: dependency problems prevent configuration of ia32-crossover:
 ia32-crossover depends on libc6-i386; however:
  Package libc6-i386 is not installed.
 ia32-crossover depends on ia32-libs | ia32-apt-get; however:
  Package ia32-libs is not installed.
  Package ia32-apt-get is not installed.
 ia32-crossover depends on lib32gcc1; however:
  Package lib32gcc1 is not installed.
 ia32-crossover depends on lib32nss-mdns; however:
  Package lib32nss-mdns is not installed.
 ia32-crossover depends on lib32z1; however:
  Package lib32z1 is not installed.
 ia32-crossover depends on lib32asound2; however:
  Package lib32asound2 is not installed.
dpkg: error processing ia32-crossover (--install):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 ia32-crossover

Alright, then, dpkg doesn't grab the dependencies I need, so I'll use apt-get -f install to force installation:

$ sudo apt-get -f install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following extra packages will be installed:
  ia32-libs lib32asound2 lib32bz2-1.0 lib32gcc1 lib32ncurses5 lib32nss-mdns lib32stdc++6
  lib32tinfo5 lib32v4l-0 lib32z1 libc6-i386
Suggested packages:
  ia32-libs-gtk avahi-autoipd zeroconf
The following NEW packages will be installed:
  ia32-libs lib32asound2 lib32bz2-1.0 lib32gcc1 lib32ncurses5 lib32nss-mdns lib32stdc++6
  lib32tinfo5 lib32v4l-0 lib32z1 libc6-i386
0 upgraded, 11 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
Need to get 39.8 MB of archives.
After this operation, 97.0 MB of additional disk space will be used.
Do you want to continue [Y/n]? y
Err http://debian.linuxmint.com/latest/ testing/main libc6-i386 amd64 2.13-27
  404  Not Found
Err http://debian.linuxmint.com/latest/ testing/main lib32bz2-1.0 amd64 1.0.6-1
  404  Not Found
Err http://debian.linuxmint.com/latest/ testing/main lib32asound2 amd64 1.0.25-2
  404  Not Found
Err http://debian.linuxmint.com/latest/ testing/main lib32gcc1 amd64 1:4.6.3-1
  404  Not Found
Err http://debian.linuxmint.com/latest/ testing/main lib32tinfo5 amd64 5.9-4
  404  Not Found
Err http://debian.linuxmint.com/latest/ testing/main lib32ncurses5 amd64 5.9-4
  404  Not Found
Err http://debian.linuxmint.com/latest/ testing/main lib32stdc++6 amd64 4.6.3-1
  404  Not Found
Err http://debian.linuxmint.com/latest/ testing/main lib32v4l-0 amd64 0.8.6-1
  404  Not Found
Err http://debian.linuxmint.com/latest/ testing/main lib32z1 amd64 1:1.2.6.dfsg-2
  404  Not Found
Get:1 http://debian.linuxmint.com/latest/ testing/main ia32-libs amd64 20120102 [34.2 MB]
Get:2 http://debian.linuxmint.com/latest/ testing/main lib32nss-mdns amd64 0.10-3.2 [18.1 kB]       
Fetched 34.3 MB in 52s (648 kB/s)                                                                   
Failed to fetch http://debian.linuxmint.com/latest/pool/main/e/eglibc/libc6-i386_2.13-27_amd64.deb  404  Not Found
Failed to fetch http://debian.linuxmint.com/latest/pool/main/b/bzip2/lib32bz2-1.0_1.0.6-1_amd64.deb  404  Not Found
Failed to fetch http://debian.linuxmint.com/latest/pool/main/a/alsa-lib/lib32asound2_1.0.25-2_amd64.deb  404  Not Found
Failed to fetch http://debian.linuxmint.com/latest/pool/main/g/gcc-4.6/lib32gcc1_4.6.3-1_amd64.deb  404  Not Found
Failed to fetch http://debian.linuxmint.com/latest/pool/main/n/ncurses/lib32tinfo5_5.9-4_amd64.deb  404  Not Found
Failed to fetch http://debian.linuxmint.com/latest/pool/main/n/ncurses/lib32ncurses5_5.9-4_amd64.deb  404  Not Found
Failed to fetch http://debian.linuxmint.com/latest/pool/main/g/gcc-4.6/lib32stdc++6_4.6.3-1_amd64.deb  404  Not Found
Failed to fetch http://debian.linuxmint.com/latest/pool/main/v/v4l-utils/lib32v4l-0_0.8.6-1_amd64.deb  404  Not Found
Failed to fetch http://debian.linuxmint.com/latest/pool/main/z/zlib/lib32z1_1.2.6.dfsg-2_amd64.deb  404  Not Found
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

For some reason I went with "--fix-missing", first, this was not successful:

$ sudo apt-get install --fix-missing
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies:
 ia32-crossover : Depends: libc6-i386 but it is not installed
                  Depends: ia32-libs but it is not installed or
                           ia32-apt-get but it is not installable
                  Depends: lib32gcc1 but it is not installed
                  Depends: lib32nss-mdns but it is not installed
                  Depends: lib32z1 but it is not installed
                  Depends: lib32asound2 but it is not installed
E: Unmet dependencies. Try using -f.

So, sure, I should probably run apt-get update (maybe that's the problem, anyway...):

$ sudo apt-get update
Get:1 http://debian.linuxmint.com testing InRelease [199 kB]
Ign http://packages.linuxmint.com debian InRelease                   
Get:2 http://packages.linuxmint.com debian Release.gpg [197 B]       
Get:3 http://packages.linuxmint.com debian Release [15.6 kB]
Get:4 http://debian.linuxmint.com testing/updates InRelease [87.8 kB]
Ign http://debian.linuxmint.com testing InRelease
Get:5 http://debian.linuxmint.com testing Release.gpg [198 B]
Get:6 http://debian.linuxmint.com testing Release [32.1 kB]               
Get:7 http://packages.linuxmint.com debian/main amd64 Packages [17.1 kB]            
Get:8 http://debian.linuxmint.com testing/main amd64 Packages/DiffIndex [7,876 B]
Get:9 http://debian.linuxmint.com testing/contrib amd64 Packages/DiffIndex [7,819 B]
Get:10 http://debian.linuxmint.com testing/non-free amd64 Packages/DiffIndex [7,819 B]
Ign http://debian.linuxmint.com testing/contrib TranslationIndex
Get:11 http://debian.linuxmint.com testing/main TranslationIndex [2,295 B]
Ign http://debian.linuxmint.com testing/non-free TranslationIndex
Get:12 http://debian.linuxmint.com testing/updates/main amd64 Packages [979 B]
Get:13 http://packages.linuxmint.com debian/upstream amd64 Packages [5,387 B]
Get:14 http://packages.linuxmint.com debian/import amd64 Packages [63.7 kB]
Get:15 http://debian.linuxmint.com testing/updates/contrib amd64 Packages [14 B]
Get:16 http://debian.linuxmint.com testing/updates/non-free amd64 Packages [14 B]
Ign http://debian.linuxmint.com testing/updates/contrib TranslationIndex
Ign http://debian.linuxmint.com testing/updates/main TranslationIndex
Ign http://debian.linuxmint.com testing/updates/non-free TranslationIndex
Get:17 http://debian.linuxmint.com testing/main amd64 Packages/DiffIndex [2,023 B]
Get:18 http://debian.linuxmint.com testing/non-free amd64 Packages/DiffIndex [781 B]
Ign http://debian.linuxmint.com testing/main TranslationIndex
Ign http://debian.linuxmint.com testing/non-free TranslationIndex
Get:19 http://debian.linuxmint.com testing/main amd64 Packages [5,953 kB]          
Ign http://packages.linuxmint.com debian/import TranslationIndex                              
Ign http://packages.linuxmint.com debian/main TranslationIndex
Ign http://packages.linuxmint.com debian/upstream TranslationIndex
Ign http://packages.linuxmint.com debian/import Translation-en_US
Ign http://packages.linuxmint.com debian/import Translation-en
Ign http://packages.linuxmint.com debian/main Translation-en_US
Ign http://packages.linuxmint.com debian/main Translation-en
Ign http://packages.linuxmint.com debian/upstream Translation-en_US
Ign http://packages.linuxmint.com debian/upstream Translation-en
Get:20 http://debian.linuxmint.com testing/contrib amd64 Packages [44.0 kB]                         
Get:21 http://debian.linuxmint.com testing/non-free amd64 Packages [78.8 kB]                        
Get:22 http://debian.linuxmint.com testing/contrib Translation-en [35.8 kB]                         
Get:23 http://debian.linuxmint.com testing/main Translation-en [3,927 kB]                           
Get:24 http://debian.linuxmint.com testing/non-free Translation-en [66.1 kB]                        
Get:25 http://debian.linuxmint.com testing/main amd64 Packages [91.4 kB]                            
Get:26 http://debian.linuxmint.com testing/non-free amd64 Packages [2,598 B]                        
Ign http://debian.linuxmint.com testing/contrib Translation-en_US                                   
Ign http://debian.linuxmint.com testing/non-free Translation-en_US                                  
Ign http://debian.linuxmint.com testing/updates/contrib Translation-en_US                           
Ign http://debian.linuxmint.com testing/updates/contrib Translation-en                              
Ign http://debian.linuxmint.com testing/updates/main Translation-en_US                              
Ign http://debian.linuxmint.com testing/updates/main Translation-en                                 
Ign http://debian.linuxmint.com testing/updates/non-free Translation-en_US                          
Ign http://debian.linuxmint.com testing/updates/non-free Translation-en                             
Ign http://debian.linuxmint.com testing/main Translation-en_US                                      
Ign http://debian.linuxmint.com testing/main Translation-en                                         
Ign http://debian.linuxmint.com testing/non-free Translation-en_US                                  
Ign http://debian.linuxmint.com testing/non-free Translation-en                                     
Fetched 10.6 MB in 16s (633 kB/s)                                                                   
Reading package lists... Done

And now that the update's complete, another pass at apt-get -f install:

$ sudo apt-get -f install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following extra packages will be installed:
  gcc-4.7-base ia32-libs lib32asound2 lib32bz2-1.0 lib32gcc1 lib32ncurses5 lib32nss-mdns
  lib32stdc++6 lib32tinfo5 lib32v4l-0 lib32z1 libasound2 libc-bin libc-dev-bin libc6 libc6-dev
  libc6-i386 libv4l-0 libv4lconvert0
Suggested packages:
  ia32-libs-gtk avahi-autoipd zeroconf glibc-doc
The following NEW packages will be installed:
  gcc-4.7-base ia32-libs lib32asound2 lib32bz2-1.0 lib32gcc1 lib32ncurses5 lib32nss-mdns
  lib32stdc++6 lib32tinfo5 lib32v4l-0 lib32z1 libc6-i386
The following packages will be upgraded:
  libasound2 libc-bin libc-dev-bin libc6 libc6-dev libv4l-0 libv4lconvert0
7 upgraded, 12 newly installed, 0 to remove and 1213 not upgraded.
1 not fully installed or removed.
Need to get 14.7 MB/48.9 MB of archives.
After this operation, 97.0 MB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://debian.linuxmint.com/latest/ testing/main libc-dev-bin amd64 2.13-33 [224 kB]
Get:2 http://debian.linuxmint.com/latest/ testing/main libc6-dev amd64 2.13-33 [2,650 kB]
Get:3 http://debian.linuxmint.com/latest/ testing/main libc-bin amd64 2.13-33 [1,266 kB]
Get:4 http://debian.linuxmint.com/latest/ testing/main libc6 amd64 2.13-33 [4,343 kB]
Get:5 http://debian.linuxmint.com/latest/ testing/main libc6-i386 amd64 2.13-33 [4,024 kB]          
Get:6 http://debian.linuxmint.com/latest/ testing/main lib32bz2-1.0 amd64 1.0.6-3 [40.4 kB]         
Get:7 http://debian.linuxmint.com/latest/ testing/main libasound2 amd64 1.0.25-3 [461 kB]           
Get:8 http://debian.linuxmint.com/latest/ testing/main lib32asound2 amd64 1.0.25-3 [397 kB]         
Get:9 http://debian.linuxmint.com/latest/ testing/main gcc-4.7-base amd64 4.7.1-2 [141 kB]          
Get:10 http://debian.linuxmint.com/latest/ testing/main lib32gcc1 amd64 1:4.7.1-2 [53.2 kB]         
Get:11 http://debian.linuxmint.com/latest/ testing/main lib32tinfo5 amd64 5.9-10 [268 kB]           
Get:12 http://debian.linuxmint.com/latest/ testing/main lib32ncurses5 amd64 5.9-10 [115 kB]         
Get:13 http://debian.linuxmint.com/latest/ testing/main lib32stdc++6 amd64 4.7.1-2 [347 kB]         
Get:14 http://debian.linuxmint.com/latest/ testing/main libv4l-0 amd64 0.8.8-3 [57.2 kB]            
Get:15 http://debian.linuxmint.com/latest/ testing/main libv4lconvert0 amd64 0.8.8-3 [100.0 kB]     
Get:16 http://debian.linuxmint.com/latest/ testing/main lib32v4l-0 amd64 0.8.8-3 [103 kB]           
Get:17 http://debian.linuxmint.com/latest/ testing/main lib32z1 amd64 1:1.2.7.dfsg-13 [89.0 kB]     
Fetched 14.7 MB in 14s (988 kB/s)                                                                   
Preconfiguring packages ...
(Reading database ... 169680 files and directories currently installed.)
Preparing to replace libc-dev-bin 2.13-27 (using .../libc-dev-bin_2.13-33_amd64.deb) ...
Unpacking replacement libc-dev-bin ...
Preparing to replace libc6-dev 2.13-27 (using .../libc6-dev_2.13-33_amd64.deb) ...
Unpacking replacement libc6-dev ...
Preparing to replace libc-bin 2.13-27 (using .../libc-bin_2.13-33_amd64.deb) ...
Unpacking replacement libc-bin ...
Processing triggers for man-db ...
Setting up libc-bin (2.13-33) ...
(Reading database ... 169681 files and directories currently installed.)
Preparing to replace libc6 2.13-27 (using .../libc6_2.13-33_amd64.deb) ...
Unpacking replacement libc6 ...
Setting up libc6 (2.13-33) ...
Selecting previously unselected package libc6-i386.
(Reading database ... 169681 files and directories currently installed.)
Unpacking libc6-i386 (from .../libc6-i386_2.13-33_amd64.deb) ...
Setting up libc6-i386 (2.13-33) ...
Selecting previously unselected package lib32bz2-1.0.
(Reading database ... 169984 files and directories currently installed.)
Unpacking lib32bz2-1.0 (from .../lib32bz2-1.0_1.0.6-3_amd64.deb) ...
Preparing to replace libasound2 1.0.25-2 (using .../libasound2_1.0.25-3_amd64.deb) ...
Unpacking replacement libasound2 ...
Selecting previously unselected package lib32asound2.
Unpacking lib32asound2 (from .../lib32asound2_1.0.25-3_amd64.deb) ...
Selecting previously unselected package gcc-4.7-base.
Unpacking gcc-4.7-base (from .../gcc-4.7-base_4.7.1-2_amd64.deb) ...
Selecting previously unselected package lib32gcc1.
Unpacking lib32gcc1 (from .../lib32gcc1_1%3a4.7.1-2_amd64.deb) ...
Selecting previously unselected package lib32tinfo5.
Unpacking lib32tinfo5 (from .../lib32tinfo5_5.9-10_amd64.deb) ...
Selecting previously unselected package lib32ncurses5.
Unpacking lib32ncurses5 (from .../lib32ncurses5_5.9-10_amd64.deb) ...
Selecting previously unselected package lib32stdc++6.
Unpacking lib32stdc++6 (from .../lib32stdc++6_4.7.1-2_amd64.deb) ...
Preparing to replace libv4l-0 0.8.6-1 (using .../libv4l-0_0.8.8-3_amd64.deb) ...
Unpacking replacement libv4l-0 ...
Preparing to replace libv4lconvert0 0.8.6-1 (using .../libv4lconvert0_0.8.8-3_amd64.deb) ...
Unpacking replacement libv4lconvert0 ...
Selecting previously unselected package lib32v4l-0.
Unpacking lib32v4l-0 (from .../lib32v4l-0_0.8.8-3_amd64.deb) ...
Selecting previously unselected package lib32z1.
Unpacking lib32z1 (from .../lib32z1_1%3a1.2.7.dfsg-13_amd64.deb) ...
Selecting previously unselected package ia32-libs.
Unpacking ia32-libs (from .../ia32-libs_20120102_amd64.deb) ...
Selecting previously unselected package lib32nss-mdns.
Unpacking lib32nss-mdns (from .../lib32nss-mdns_0.10-3.2_amd64.deb) ...
Setting up libc-dev-bin (2.13-33) ...
Setting up libc6-dev (2.13-33) ...
Setting up lib32bz2-1.0 (1.0.6-3) ...
Setting up libasound2 (1.0.25-3) ...
Setting up lib32asound2 (1.0.25-3) ...
Setting up gcc-4.7-base (4.7.1-2) ...
Setting up lib32gcc1 (1:4.7.1-2) ...
Setting up lib32tinfo5 (5.9-10) ...
Setting up lib32ncurses5 (5.9-10) ...
Setting up lib32stdc++6 (4.7.1-2) ...
Setting up libv4lconvert0 (0.8.8-3) ...
Setting up libv4l-0 (0.8.8-3) ...
Setting up lib32v4l-0 (0.8.8-3) ...
Setting up lib32z1 (1:1.2.7.dfsg-13) ...
Setting up ia32-libs (20120102) ...
Setting up lib32nss-mdns (0.10-3.2) ...
Setting up ia32-crossover (11.3.0-1) ...
Processing triggers for menu ...

And now I finally have a working copy of Crossover. W00t and such.

Hi,
I'm sorry but I can't install
crossover under 64-bit Debian-Testing.
I followed your instructions for LMDE
but it doesn't work.

Best
Goddy

Likely it can't find the proper libraries to run 32bit mode programs.

They should be listed under "lib32*", "32bit", "multi-arch", "IA32" or "x86-32"

The first user also had this issue as well, and had how he fixed it.

If updating your repository doesn't work, you may want to use a package manager to go and find them in the reposistory, and install them, after getting the list needed from your first attempt to install it.

Remember, many of the 32bit versions may be in the Universe subsection, instead of the Main. Make sure you have the Universe repository enabled.

On a brand new install of Debian testing I had to enable multi-lib using the following as root (su or sudo):
dpkg --add-architecture=i386 && apt-get update
Then it was able to get the needed dependencies

Please Note: This Forum is for non-application specific questions relating to installation/configuration of CrossOver. All application-specific posts to this Forum will be moved to their appropriate Compatibility Center Forum.

CrossOver Forums: the place to discuss running Windows applications on Mac and Linux

CodeWeavers or its third-party tools process personal data (e.g. browsing data or IP addresses) and use cookies or other identifiers, which are necessary for its functioning and required to achieve the purposes illustrated in our Privacy Policy. You accept the use of cookies or other identifiers by clicking the Acknowledge button.
Please Wait...
eyJjb3VudHJ5IjoiVVMiLCJsYW5nIjoiZW4iLCJjYXJ0IjowLCJ0enMiOi01LCJjZG4iOiJodHRwczpcL1wvbWVkaWEuY29kZXdlYXZlcnMuY29tXC9wdWJcL2Nyb3Nzb3Zlclwvd2Vic2l0ZSIsImNkbnRzIjoxNzE1NzkzNDc5LCJjc3JmX3Rva2VuIjoiUDlZWlRxUTZaYWE0UnFnUyIsImdkcHIiOjB9